# Late Fees Late Fees ## Gets all of the late fees in the system. - [GET /lateFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/listlatefees.md): This method will scan all late fees and and return them to the caller. ## Creates a new late fee record that does not already exist. - [POST /lateFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/createlatefee.md): This method will auto-generate an ID and create a new late fee. If an ID is specified for the late fee, an error will be thrown. ## Execute Batch Operations - [POST /lateFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a late fee from the system by its ID. - [DELETE /lateFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/deletelatefee.md): This method will delete a late fee with the specified ID. ## Returns a late fee from the system by its ID. - [GET /lateFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/getlatefee.md): This method will look up a late fee by the specified ID and return it back. ## Partially updates a late fee with the specified ID. - [PATCH /lateFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/patchlatefee.md): This method will patch an existing late fee with the specified ID, using the HTTP PATCH specification. ## Updates a late fee with the specified ID. - [PUT /lateFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/updatelatefee.md): This method will update an existing late fee with the specified ID.